> ## Name

> cgGetTypeClass - get the parameter class associated with a type enumerant

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameterclass cgGetTypeClass( CGtype type );

> ## Parameters

> type
>   The type enumerant.

> ## Return Values

> Returns the parameter class of the enumerant type. Possible return values are:

> - CG_PARAMETERCLASS_UNKNOWN
> - CG_PARAMETERCLASS_SCALAR
> - CG_PARAMETERCLASS_VECTOR
> - CG_PARAMETERCLASS_MATRIX
> - CG_PARAMETERCLASS_STRUCT
> - CG_PARAMETERCLASS_ARRAY
> - CG_PARAMETERCLASS_SAMPLER
> - CG_PARAMETERCLASS_OBJECT

> ## Description

> cgGetTypeClass returns the parameter class associated with a type enumerant. For example, cgGetTypeClass(CG_FLOAT3x4) returns CG_PARAMETERCLASS_MATRIX while cgGetTypeClass(CG_HALF) returns CG_PARAMETERCLASS_SCALAR and cgGetTypeClass(CG_BOOL3) returns CG_PARAMETERCLASS_VECTOR.

> CG_PARAMETERCLASS_UNKNOWN is returned if the type is unknown.

> ## Examples

> to-be-written

> ## Errors

> None

> ## History

> cgGetTypeClass was introduced in Cg 1.5.

> ## See Also

> cgGetType, cgGetTypeBase, cgGetParameterType